import { ResolvedTimelineObject, ResolverCache } from '../api';
import { ResolvedTimelineHandler } from './ResolvedTimelineHandler';
export declare class CacheHandler {
    private resolvedTimeline;
    /** A Persistant store. This object contains data that is persisted between resolves. */
    private cache;
    private canUseIncomingCache;
    constructor(cache: Partial<ResolverCache>, resolvedTimeline: ResolvedTimelineHandler);
    private debug;
    determineChangedObjects(): void;
    persistData(): void;
    private getAllReferencesThisObjectAffects;
    /** Invalidate all changed objects, and recursively invalidate all objects that reference those objects */
    private invalidateObjectsWithReference;
}
/** Return a "hash-string" which changes whenever anything that affects timing of a timeline-object has changed. */
export declare function hashTimelineObject(obj: ResolvedTimelineObject): string;
//# sourceMappingURL=CacheHandler.d.ts.map