import { ResolvedTimelineObject } from '../api';
import { InstanceHandler } from './InstanceHandler';
import { ResolvedTimelineHandler } from './ResolvedTimelineHandler';
/**
 * LayerStateHandler instances are short-lived.
 * They are initialized, .resolveConflicts() is called and then discarded
 */
export declare class LayerStateHandler {
    private resolvedTimeline;
    private instance;
    private layer;
    private pointsInTime;
    /** List of object ids on the layer */
    objectIdsOnLayer: string[];
    /** List of objects on the layer. (this is populated in .resolveConflicts() ) */
    objectsOnLayer: ResolvedTimelineObject[];
    constructor(resolvedTimeline: ResolvedTimelineHandler, instance: InstanceHandler, layer: string);
    private debug;
    /** Resolve conflicts between objects on the layer. */
    resolveConflicts(): void;
    /** Add an instance and event to a certain point-in-time */
    private addPointInTime;
}
export interface TimeEvent {
    time: number;
    /** true when the event indicate that something starts, false when something ends */
    enable: boolean;
}
//# sourceMappingURL=LayerStateHandler.d.ts.map